<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  NgxLoginComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/auth/login/login.component.ts</code>
</p>



    <p class="comment">
        <h3>Extends</h3>
    </p>
    <p class="comment">
            <code>NbLoginComponent</code>
    </p>



<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>ngx-login</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./login.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>


    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(service: NbAuthService, options: NbAuthOptions, cd: <a href="https://angular.io/api/core/ChangeDetectorRef" target="_blank">ChangeDetectorRef</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, pageService: <a href="../injectables/PageService.html" target="_self">PageService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">projects/projects-app-ang/src/app/components/auth/login/login.component.ts:13</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>service</td>
                                                  
                                                        <td>
                                                                    <code>NbAuthService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>options</td>
                                                  
                                                        <td>
                                                                    <code>NbAuthOptions</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>cd</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/core/ChangeDetectorRef" target="_blank" >ChangeDetectorRef</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>pageService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/PageService.html" target="_self" >PageService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>







</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Router } from &#x27;@angular/router&#x27;;
import { Component, OnInit, ChangeDetectorRef, Inject } from &#x27;@angular/core&#x27;;
import { NbLoginComponent } from &#x27;@nebular/auth&#x27;;
import { PageService } from &#x27;../../../page.service&#x27;;
import { NB_AUTH_OPTIONS, NbAuthService, NbAuthOptions } from &#x27;@nebular/auth&#x27;;

@Component({
  selector: &#x27;ngx-login&#x27;,
  templateUrl: &#x27;./login.component.html&#x27;,
})

export class NgxLoginComponent extends NbLoginComponent  {

  constructor(service: NbAuthService, @Inject(NB_AUTH_OPTIONS) options: NbAuthOptions, cd: ChangeDetectorRef, router: Router, private pageService: PageService){
    super(service, options, cd, router);
    this.pageService.setIsLandingPage(true);
    this.pageService.setIsMainPage(false);
  }

  /*ngOnInit(): void {
    super.ngOnInit();
  }*/

}

/**
 *
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
/*import { ChangeDetectorRef } from &#x27;@angular/core&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { NbAuthSocialLink } from &#x27;../../auth.options&#x27;;
import { NbAuthService } from &#x27;../../services/auth.service&#x27;;
import * as i0 from &quot;@angular/core&quot;;
export declare class NbLoginComponent {
    protected service: NbAuthService;
    protected options: {};
    protected cd: ChangeDetectorRef;
    protected router: Router;
    redirectDelay: number;
    showMessages: any;
    strategy: string;
    errors: string[];
    messages: string[];
    user: any;
    submitted: boolean;
    socialLinks: NbAuthSocialLink[];
    rememberMe: boolean;
    constructor(service: NbAuthService, options: {}, cd: ChangeDetectorRef, router: Router);
    login(): void;
    getConfigValue(key: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration&lt;NbLoginComponent, never&gt;;
    static ɵcmp: i0.ɵɵComponentDeclaration&lt;NbLoginComponent, &quot;nb-login&quot;, never, {}, {}, never, never&gt;;
}*/

/*
import { Router } from &#x27;@angular/router&#x27;;
import { Component, OnInit, ChangeDetectorRef } from &#x27;@angular/core&#x27;;
import { NbLoginComponent } from &#x27;@nebular/auth&#x27;;
import { PageService } from &#x27;../../../page.service&#x27;;
import { NB_AUTH_OPTIONS, NbAuthService } from &#x27;@nebular/auth&#x27;;

@Component({
  selector: &#x27;ngx-login&#x27;,
  templateUrl: &#x27;./login.component.html&#x27;,
})

export class NgxLoginComponent extends NbLoginComponent  {

  constructor(service: NbAuthService, options: {}, cd: ChangeDetectorRef, routes: Router){
    super(service, options, cd, routes);
  }
  
  }
*/

//export class NgxLoginComponent implements OnInit {

    /*constructor(private pageService: PageService) {
      this.pageService.setIsLandingPage(true);
      this.pageService.setIsMainPage(false);
    }*/
  
  
   // ngOnInit(): void {
    //}
  
 // }

  /*
import { Component, ChangeDetectorRef } from &#x27;@angular/core&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { NbAuthService, NbLoginComponent } from &#x27;@nebular/auth&#x27;;
import { NbLoginComponent } from &#x27;@nebular/auth&#x27;;
import { PageService } from &#x27;../../../page.service&#x27;;

interface LoginOptions {
  option1: string;
  option2: number;
  // add other properties as needed
}

@Component({
  selector: &#x27;ngx-login&#x27;,
  templateUrl: &#x27;./login.component.html&#x27;,
})
export class NgxLoginComponent extends NbLoginComponent {

  constructor(private pageService: PageService, service: NbAuthService, options: LoginOptions, cd: ChangeDetectorRef, router: Router) {
    super(service, options, cd, router);
    this.pageService.setIsLandingPage(true);
    this.pageService.setIsMainPage(false);
    // constructor implementation
  }

  // other methods and properties
}*/</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;a href&#x3D;&quot;projects&quot;&gt;&lt;h1 id&#x3D;&quot;title&quot; class&#x3D;&quot;title&quot;&gt;Login&lt;/h1&gt;&lt;/a&gt;
&lt;p class&#x3D;&quot;sub-title&quot;&gt;Hello! Log in with your email.&lt;/p&gt;

&lt;nb-alert *ngIf&#x3D;&quot;showMessages.error &amp;&amp; errors?.length &amp;&amp; !submitted&quot; outline&#x3D;&quot;danger&quot; role&#x3D;&quot;alert&quot;&gt;
  &lt;p class&#x3D;&quot;alert-title&quot;&gt;&lt;b&gt;Oh snap!&lt;/b&gt;&lt;/p&gt;
  &lt;ul class&#x3D;&quot;alert-message-list&quot;&gt;
    &lt;li *ngFor&#x3D;&quot;let error of errors&quot; class&#x3D;&quot;alert-message&quot;&gt;{{ error }}&lt;/li&gt;
  &lt;/ul&gt;
&lt;/nb-alert&gt;

&lt;nb-alert *ngIf&#x3D;&quot;showMessages.success &amp;&amp; messages?.length &amp;&amp; !submitted&quot; outline&#x3D;&quot;success&quot; role&#x3D;&quot;alert&quot;&gt;
  &lt;p class&#x3D;&quot;alert-title&quot;&gt;&lt;b&gt;Hooray!&lt;/b&gt;&lt;/p&gt;
  &lt;ul class&#x3D;&quot;alert-message-list&quot;&gt;
    &lt;li *ngFor&#x3D;&quot;let message of messages&quot; class&#x3D;&quot;alert-message&quot;&gt;{{ message }}&lt;/li&gt;
  &lt;/ul&gt;
&lt;/nb-alert&gt;

&lt;form (ngSubmit)&#x3D;&quot;login()&quot; #form&#x3D;&quot;ngForm&quot; aria-labelledby&#x3D;&quot;title&quot;&gt;

  &lt;div class&#x3D;&quot;form-control-group&quot;&gt;
    &lt;label class&#x3D;&quot;label&quot; for&#x3D;&quot;input-email&quot;&gt;Email address:&lt;/label&gt;
    &lt;input nbInput
           fullWidth
           [(ngModel)]&#x3D;&quot;user.email&quot;
           #email&#x3D;&quot;ngModel&quot;
           name&#x3D;&quot;email&quot;
           id&#x3D;&quot;input-email&quot;
           pattern&#x3D;&quot;.+@.+\..+&quot;
           placeholder&#x3D;&quot;Email address&quot;
           autofocus
           [status]&#x3D;&quot;email.dirty ? (email.invalid  ? &#x27;danger&#x27; : &#x27;success&#x27;) : &#x27;&#x27;&quot;
           [required]&#x3D;&quot;getConfigValue(&#x27;forms.validation.email.required&#x27;)&quot;
           [attr.aria-invalid]&#x3D;&quot;email.invalid &amp;&amp; email.touched ? true : null&quot;&gt;
    &lt;ng-container *ngIf&#x3D;&quot;email.invalid &amp;&amp; email.touched&quot;&gt;
      &lt;p class&#x3D;&quot;error-message&quot; *ngIf&#x3D;&quot;email.errors?.required&quot;&gt;
        Email is required!
      &lt;/p&gt;
      &lt;p class&#x3D;&quot;error-message&quot; *ngIf&#x3D;&quot;email.errors?.pattern&quot;&gt;
        Email should be the real one!
      &lt;/p&gt;
    &lt;/ng-container&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;form-control-group&quot;&gt;
    &lt;label class&#x3D;&quot;label&quot; for&#x3D;&quot;input-password&quot;&gt;Password:&lt;/label&gt;
    &lt;input nbInput
           fullWidth
           [(ngModel)]&#x3D;&quot;user.password&quot;
           #password&#x3D;&quot;ngModel&quot;
           name&#x3D;&quot;password&quot;
           type&#x3D;&quot;password&quot;
           id&#x3D;&quot;input-password&quot;
           placeholder&#x3D;&quot;Password&quot;
           [status]&#x3D;&quot;password.dirty ? (password.invalid  ? &#x27;danger&#x27; : &#x27;success&#x27;) : &#x27;&#x27;&quot;
           [required]&#x3D;&quot;getConfigValue(&#x27;forms.validation.password.required&#x27;)&quot;
           [minlength]&#x3D;&quot;getConfigValue(&#x27;forms.validation.password.minLength&#x27;)&quot;
           [maxlength]&#x3D;&quot;getConfigValue(&#x27;forms.validation.password.maxLength&#x27;)&quot;
           [attr.aria-invalid]&#x3D;&quot;password.invalid &amp;&amp; password.touched ? true : null&quot;&gt;
    &lt;ng-container *ngIf&#x3D;&quot;password.invalid &amp;&amp; password.touched &quot;&gt;
      &lt;p class&#x3D;&quot;error-message&quot; *ngIf&#x3D;&quot;password.errors?.required&quot;&gt;
        Password is required!
      &lt;/p&gt;
      &lt;p class&#x3D;&quot;error-message&quot; *ngIf&#x3D;&quot;password.errors?.minlength || password.errors?.maxlength&quot;&gt;
        Password should contains
        from {{ getConfigValue(&#x27;forms.validation.password.minLength&#x27;) }}
        to {{ getConfigValue(&#x27;forms.validation.password.maxLength&#x27;) }}
        characters
      &lt;/p&gt;
    &lt;/ng-container&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;form-control-group accept-group&quot;&gt;
    &lt;nb-checkbox name&#x3D;&quot;rememberMe&quot; [(ngModel)]&#x3D;&quot;user.rememberMe&quot; *ngIf&#x3D;&quot;rememberMe&quot;&gt;Remember me&lt;/nb-checkbox&gt;
    &lt;a class&#x3D;&quot;forgot-password&quot; routerLink&#x3D;&quot;../request-password&quot;&gt;Forgot Password?&lt;/a&gt;
  &lt;/div&gt;

  &lt;button nbButton
          fullWidth
          status&#x3D;&quot;success&quot;
          [disabled]&#x3D;&quot;submitted || !form.valid&quot;
          [class.btn-pulse]&#x3D;&quot;submitted&quot;&gt;
    Log In
  &lt;/button&gt;
&lt;/form&gt;

&lt;section *ngIf&#x3D;&quot;socialLinks &amp;&amp; socialLinks.length &gt; 0&quot; class&#x3D;&quot;links&quot; aria-label&#x3D;&quot;Social sign in&quot;&gt;
  or enter with:
  &lt;div class&#x3D;&quot;socials&quot;&gt;
    &lt;ng-container *ngFor&#x3D;&quot;let socialLink of socialLinks&quot;&gt;
      &lt;a *ngIf&#x3D;&quot;socialLink.link&quot;
         [routerLink]&#x3D;&quot;socialLink.link&quot;
         [attr.target]&#x3D;&quot;socialLink.target&quot;
         [attr.class]&#x3D;&quot;socialLink.icon&quot;
         [class.with-icon]&#x3D;&quot;socialLink.icon&quot;&gt;{{ socialLink.title }}&lt;/a&gt;
      &lt;a *ngIf&#x3D;&quot;socialLink.url&quot;
         [attr.href]&#x3D;&quot;socialLink.url&quot;
         [attr.target]&#x3D;&quot;socialLink.target&quot;
         [attr.class]&#x3D;&quot;socialLink.icon&quot;
         [class.with-icon]&#x3D;&quot;socialLink.icon&quot;&gt;{{ socialLink.title }}&lt;/a&gt;
    &lt;/ng-container&gt;
  &lt;/div&gt;
&lt;/section&gt;

&lt;section class&#x3D;&quot;another-action&quot; aria-label&#x3D;&quot;Register&quot;&gt;
  Don&#x27;t have an account? &lt;a class&#x3D;&quot;text-link&quot; routerLink&#x3D;&quot;../register&quot;&gt;Register&lt;/a&gt;
&lt;/section&gt;</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><a href="projects"><h1 id="title" class="title">Login</h1></a><p class="sub-title">Hello! Log in with your email.</p><nb-alert *ngIf="showMessages.error && errors?.length && !submitted" outline="danger" role="alert">  <p class="alert-title"><b>Oh snap!</b></p>  <ul class="alert-message-list">    <li *ngFor="let error of errors" class="alert-message">{{ error }}</li>  </ul></nb-alert><nb-alert *ngIf="showMessages.success && messages?.length && !submitted" outline="success" role="alert">  <p class="alert-title"><b>Hooray!</b></p>  <ul class="alert-message-list">    <li *ngFor="let message of messages" class="alert-message">{{ message }}</li>  </ul></nb-alert><form (ngSubmit)="login()" #form="ngForm" aria-labelledby="title">  <div class="form-control-group">    <label class="label" for="input-email">Email address:</label>    <input nbInput           fullWidth           [(ngModel)]="user.email"           #email="ngModel"           name="email"           id="input-email"           pattern=".+@.+\..+"           placeholder="Email address"           autofocus           [status]="email.dirty ? (email.invalid  ? \'danger\' : \'success\') : \'\'"           [required]="getConfigValue(\'forms.validation.email.required\')"           [attr.aria-invalid]="email.invalid && email.touched ? true : null">    <ng-container *ngIf="email.invalid && email.touched">      <p class="error-message" *ngIf="email.errors?.required">        Email is required!      </p>      <p class="error-message" *ngIf="email.errors?.pattern">        Email should be the real one!      </p>    </ng-container>  </div>  <div class="form-control-group">    <label class="label" for="input-password">Password:</label>    <input nbInput           fullWidth           [(ngModel)]="user.password"           #password="ngModel"           name="password"           type="password"           id="input-password"           placeholder="Password"           [status]="password.dirty ? (password.invalid  ? \'danger\' : \'success\') : \'\'"           [required]="getConfigValue(\'forms.validation.password.required\')"           [minlength]="getConfigValue(\'forms.validation.password.minLength\')"           [maxlength]="getConfigValue(\'forms.validation.password.maxLength\')"           [attr.aria-invalid]="password.invalid && password.touched ? true : null">    <ng-container *ngIf="password.invalid && password.touched ">      <p class="error-message" *ngIf="password.errors?.required">        Password is required!      </p>      <p class="error-message" *ngIf="password.errors?.minlength || password.errors?.maxlength">        Password should contains        from {{ getConfigValue(\'forms.validation.password.minLength\') }}        to {{ getConfigValue(\'forms.validation.password.maxLength\') }}        characters      </p>    </ng-container>  </div>  <div class="form-control-group accept-group">    <nb-checkbox name="rememberMe" [(ngModel)]="user.rememberMe" *ngIf="rememberMe">Remember me</nb-checkbox>    <a class="forgot-password" routerLink="../request-password">Forgot Password?</a>  </div>  <button nbButton          fullWidth          status="success"          [disabled]="submitted || !form.valid"          [class.btn-pulse]="submitted">    Log In  </button></form><section *ngIf="socialLinks && socialLinks.length > 0" class="links" aria-label="Social sign in">  or enter with:  <div class="socials">    <ng-container *ngFor="let socialLink of socialLinks">      <a *ngIf="socialLink.link"         [routerLink]="socialLink.link"         [attr.target]="socialLink.target"         [attr.class]="socialLink.icon"         [class.with-icon]="socialLink.icon">{{ socialLink.title }}</a>      <a *ngIf="socialLink.url"         [attr.href]="socialLink.url"         [attr.target]="socialLink.target"         [attr.class]="socialLink.icon"         [class.with-icon]="socialLink.icon">{{ socialLink.title }}</a>    </ng-container>  </div></section><section class="another-action" aria-label="Register">  Don\'t have an account? <a class="text-link" routerLink="../register">Register</a></section></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'NgxLoginComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'NgxLoginComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
